package dev.fyloz.trial.colorrecipesexplorer.builders;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Material;
import dev.fyloz.trial.colorrecipesexplorer.core.model.MaterialType;

public class MaterialBuilder {

    private Long id = 0L;
    private String name = "DEDEL";
    private Float inventoryQuantity = 50000.00f;
    private boolean isMixType = false;
    private MaterialType materialType = new MaterialTypeBuilder().build();

    public MaterialBuilder() {
    }

    public MaterialBuilder id(Long id) {
        this.id = id;

        return this;
    }

    public MaterialBuilder name(String name) {
        this.name = name;

        return this;
    }

    public MaterialBuilder inventoryQuantity(Float inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;

        return this;
    }

    public MaterialBuilder mixType(boolean mixType) {
        isMixType = mixType;

        return this;
    }

    public MaterialBuilder materialType(MaterialType materialType) {
        this.materialType = materialType;

        return this;
    }

    public Material build() {
        return new Material(id, name, inventoryQuantity, isMixType, materialType);
    }
}
