package dev.fyloz.trial.colorrecipesexplorer.builders;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Material;
import dev.fyloz.trial.colorrecipesexplorer.core.model.MixType;
import lombok.NonNull;

import javax.validation.constraints.NotNull;

public class MixTypeBuilder {
    private Long id = 0L;
    private String name = "Lacque Coloré";
    private Material material = new MaterialBuilder().build();

    public MixTypeBuilder() {
    }

    public MixTypeBuilder id(Long val) {
        id = val;
        return this;
    }

    public MixTypeBuilder name(@NonNull @NotNull String val) {
        name = val;
        return this;
    }

    public MixTypeBuilder material(@NonNull @NotNull Material val) {
        material = val;
        return this;
    }

    public MixType build() {
        return new MixType(id, name, material);
    }
}
